=== debian/changelog ===
vault (1.0.2+dfsg2-5) experimental; urgency=medium

  * Disables some unreliable tests and excluded "command" from testing.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 18 Mar 2020 16:10:31 +1100

vault (1.0.2+dfsg2-4) experimental; urgency=medium

  * Un-vendored "golang-github-oklog-run-dev".
  * New patch to fix FTBFS with "golang-google-api-dev (>= 0.15.0)"
    (Closes: #954187).
  * control: added "Pre-Depends: ${misc:Pre-Depends}".
  * Standards-Version: 4.5.0.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 18 Mar 2020 11:34:11 +1100

vault (1.0.2+dfsg2-3) experimental; urgency=medium

  * Un-vendored "golang-github-jackc-pgx-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Jan 2020 20:54:21 +1100

vault (1.0.2+dfsg1-2) experimental; urgency=medium

  * DH to version 12
  * Standards-Version: 4.4.1
  * Build-Depends (un-vendored):
    + golang-github-google-go-github-dev
    + golang-github-hashicorp-go-plugin-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jan 2020 15:18:38 +1100

vault (1.0.2+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #902677).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 14:30:31 +1100
