=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg2,\
repack,compression=xz,\
dversionmangle=s/[+~]dfsg\d*//,\
" https://github.com/hashicorp/vault/releases?after=sdk%2Fv0.1.8 \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz
