=== debian/changelog ===
vault (1.20.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.20.2 release
  * Bump the golang-go version required to build
  * Build with enumer 1.5.11

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 16:18:15 +0200

vault (1.18.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.18.3 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 14 Jan 2025 14:49:52 +0200

vault (1.17.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.17.2 version
  * Drop the i386 build
  * Bump the required Go version to build Vault

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 Jul 2024 20:14:08 +0200

vault (1.16.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.16.2 version
  * Drop the remove-ci-bootstrap patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 14:47:23 +0200

vault (1.15.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.15.1 version
  * Bump the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 02 Nov 2023 16:05:14 +0100

vault (1.14.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.14.1 version
  * Remove golang-go as package dependancy
  * Update the conffile vault.env

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 23:30:11 +0100

vault (1.12.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.12.6 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 10 Mar 2023 07:11:18 +0100

vault (1.12.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.12.2 version
  * Improve the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 02 Dec 2022 14:55:03 +0100

vault (1.12.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.12.1 version
  * Refresh the following quilt patches:
    - custom-yarn-for-build
    - kaisen-rules-for-build
  * Move the value of the GOPATH and GOBIN variable in _build
    instead of obj-x86_64-linux-gnu

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 03 Nov 2022 13:35:39 +0100

vault (1.11.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.11.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 22:55:21 +0100

vault (1.11.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.11.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 21:11:45 +0100

vault (1.11.0-1kaisen) kaisen-packages; urgency=medium

  * Import 1.11.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Jul 2022 14:47:31 +0100

vault (1.10.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.10.4 version
  * Adding api_addr in the conffile
  * Update maintainers scripts to add the /srv/vault folder after the installation
    of the package and delete it when the package is purged

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 16 Jun 2022 05:56:17 +0100

vault (1.10.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.10.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:56:32 +0100

vault (1.10.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.10.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 05 May 2022 23:10:58 +0100

vault (1.10.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.10.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 23 Apr 2022 19:17:02 +0100

vault (1.10.0-3kaisen) kaisen-packages; urgency=medium

  * Improve a lot the packaging
  * Vault UI is now integrated in the builded binary
  * Added quilt patch to remove .git folder dependancies and yarn

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 15 Apr 2022 21:34:57 +0100

vault (1.10.0-2kaisen) kaisen-packages; urgency=medium

  * Added number version in the builded binary

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 15 Apr 2022 12:57:46 +0100

vault (1.10.0-1kaisen) kaisen-packages; urgency=medium

  * Import 1.10.0 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 02:00:04 +0100

vault (1.9.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.9.4 version
  * Update vault logo

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 06 Mar 2022 17:27:29 +0100

vault (1.9.3-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 21:50:26 +0100
