=== debian/control ===
Source: vault
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       dh-golang,
	       golang-go (>= 1.24.4),
	       golang-golang-x-tools,
	       golang-github-enumer (>= 1.5.11-1kaisen),
	       gox (>= 1.0.1-1kaisen),
	       npm,
	       nodejs (<< 21), nodejs (>= 20),
Standards-Version: 4.7.2
Homepage: https://www.vaultproject.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/vault
Vcs-Git: https://gitlab.com/kaisenlinux/packages/vault.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hashicorp/vault

Package: vault
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A tool for secrets management, encryption as a service, and privileged access management
